@import url('https://fonts.googleapis.com/css?family=Roboto|Suez+One');

* {
    margin: 0;
    padding: 0;
    outline: none;
}

body,
html {
    width: 100%;
    height: 100%;
}

body {
    background-color: #fafafa;
    font-family: Trebuchet MS, Helvetica;
}

/* Site header */

header {
    width: 100%;
    padding: 0;
    background: transparent;
    float: left;
    position: fixed;
}

header #logo {
    color: #fff;
    cursor: pointer;
}

header {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;

}


header #logo span {
    font-size: 1.8em;
    line-height: 65px;
    font-family: 'Suez One', serif;
}

@media (min-width: 701px) {
    #logo {
        float: left;
        padding-left: 15px;
        padding-top: 12px;
        width: 30%;
        font-size: 1.1em;
    }
}

@media (max-width: 700px) {
    #logo {
        margin-top: 15px;
        width: 100%;
        font-size: 1.2em;
        text-align: left;
        padding-left: 15%;
    }
}



/* Responsive menu */
body {
    margin: 0;
}

ul.topnav {
    list-style-type: none;
    margin: 0;
    padding: 5px 0 0 12px;
    overflow: hidden;
}

ul.topnav li {
    float: left;
}

ul.topnav li a {
    display: inline-block;
    color: #f2f2f2;
    text-align: center;
    padding: 15px;
    text-decoration: none;
    transition: 0.3s;
    font-size: 22px;
    line-height: 50px;

}

ul.topnav li a:hover {
    background-color: rgba(206, 212, 57, 1);
    background: transparent;
}

ul.topnav li.icon {
    display: none;
}

@media screen and (max-width: 680px) {
    ul.topnav li {
        display: none;
    }

    ul.topnav li.icon {
        float: center;
        display: inline-block;
    }
}

@media screen and (max-width:680px) {
    ul.topnav.resposive {
        position: relative;
    }

    ul.topnav.responsive li.icon {
        position: relative;
        left: 0px;
        right: 0;
        top: 0;
    }

    ul.topnav.responsive li {
        float: none;
        display: inline;
    }

    ul.topnav.responsive li a {
        display: block;
        text-align: left;
    }
}

/* Fixed Hat Styles */

.fixed {
    z-index: 5000;
    background-color: rgba(12, 12, 12, 0.8);
    border-bottom: 1px solid silver;
}

header.fixed #logo {
    color: #fff;
}

.fixed #about a {
    color: #343434
}

.fixed #about a:hover {
    color: #7c7c7c
}

/* Main unit */

#top {
    width: 100%;
    background-image: url(https://99px.ru/sstorage/53/2017/12/tmb_214802_877578.jpg);
    background-blend-mode: multiply;
    background-color: #5f7c94;
    background-size: cover;
    text-align: center;
    color: #fff;
}

#top .my_img {
    border-radius: 80px;
    margin-top: 20px;

}

@media (min-width: 1001px) {
    #top {
        font-size: 3em;
        height: 1000px;
    }
}

@media (max-width: 1000px) and (min-width: 651px) {
    #top {
        font-size: 2em;
        height: 600px;
    }
}

@media (max-width: 650px) {
    #top {
        font-size: 1.5em;
        padding-top: 30%;
        height: 700px;
    }
}

@media (max-width: 450px) {
    #top {
        font-size: 1.4em;
    }
}

#top h1 {
    padding-top: 20%;
}

#top h3 {
    color: #ccc;
}

#top h1,
h3 {
    text-align: center;
    font-size: 1.5em;
    color: #fff;
    letter-spacing: 0px;
    font-weight: 700;
    text-transform: uppercase;
    animation: blur .95s ease-out infinite;
    text-shadow: 0px 0px 5px #fff, 0px 0px 7px #fff;
}

#top h1,
h3 {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

/* Skills */

#main {
    float: left;
    background-color: #333;
    background-image: url(https://coder-geek.ru/wp-content/uploads/2019/03/gbp-h.jpg);
    background-blend-mode: multiply;
    background-color: #2c363f;
    background-size: cover;
    border-top: 4px solid #333;
    font-size: 1.3em;
    font-family: 'Suez One';

}

#main div {
    width: 100%;
    margin-right: 2%;
    float: center;
    box-sizing: border-box;
}


#main span {
    color: #333;
}

#main .skills {
    width: 40%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background: #333;
    box-sizing: border-box;
    box-shadow: 0 20px 50px rgba(0, 0, 0, .5)
}

#main h1 {
    margin: 0;
    padding: 0;
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-align: center;
}

.skillBox {
    box-sizing: border-box;
    width: 100%;
    margin: 20px 0;
}

.skillBox p {
    color: #fff;
    text-transform: uppercase;
    margin: 0 0 10px;
    padding: 0;
    font-weight: bold;
    letter-spacing: 1px;
}

.skillBox p:nth-child(2) {
    float: right;
    position: relative;
    top: -25px;
}

.skill {
    background: #262626;
    padding: 4px;
    box-sizing: border-box;
    border: 1px solid #0fffb7;
    border-radius: 2px;
}

.skill_level {
    background: #0fffb7;
    width: 100%;
    height: 20px;
}

@media (min-width: 1401px) {
    #main {
        padding: 100px 20%;
        width: 60%;
    }
}

@media (max-width: 1400px) {
    #main {
        padding: 90px 10%;
        width: 80%;
    }
}

/* Information about me */


h1,
h2,
h3,
h4,
h5 {
    font-family: 'Roboto Slab', serif;
    text-align: center;
}

center {
    text-align: center;
}

#about_me h1 {
    padding-top: 30px;
    font-size: 3em;
}

#inf_me {
    margin-top: 20px;
    font-size: 1.5em;
    text-align: center;
    margin-bottom: 50px;
    margin: 0px 200px 70px 200px;
}



@media (max-width: 800px) {
    #inf_me {
        font-size: 1.2em;
        width: 99%;
        margin: 0;
    }
}

@media (min-width: 801px) {
    #FAQ {
        width: 100%;
        float: left;
    }
}

#Education h1,
#Additional_education h1,
#Professional_skills h1,
#Likes h1,
#Dislikes h1 {
    padding-top: 30px;
    font-size: 3em;
}

#education_inf,
#Additional_education_inf,
#Professional_skills_inf,
#Likes_inf,
#Dislikes_inf {
    margin-top: 20px;
    font-size: 1.5em;
    margin-bottom: 20px;
    margin: 0px 200px 70px 200px;
}

@media(max-width: 800px) {

    #education_inf,
    #Additional_education_inf,
    #Professional_skills_inf,
    #Likes_inf,
    #Dislikes_inf {
        font-size: 1.2em;
        width: 100%;
        margin: 0;
    }
}

@media (max-width: 800px) {

    #about_me h1,
    #Education h1,
    #Additional_education h1,
    #Professional_skills h1,
    #Likes h1,
    #Dislikes h1 {
        font-size: 2em;
    }
}

/* Contacts */

#contact h1 {
    text-align: center;
    font-size: 3em;
    border-top: 4px solid #333
}

#contact_gmail {
    text-align: center;
    font-size: 1.8em;
    margin-bottom: 20px;
}

#contact_instagram {
    padding-left: 36%;
}

@media (max-width: 801px) {
    #contact_instagram {
        padding-left: 0;
    }
}

#contact_discord {
    text-align: center;
    font-size: 1.8em;
    margin-bottom: 20px;
}

#text_instagram {
    text-align: center;
    font-size: 1.8em;
    margin-bottom: 20px;
}

@media(max-width:801px) {
    #all_contact {
        font-size: 0.8em;
    }
}